> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run eBay Seller

> Fetches an eBay seller/store profile by username or store URL: feedback, ratings, and store details. Flat 5 points per successful lookup.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-ebay-seller
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-ebay-seller:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Run eBay Seller
      description: >-
        Fetches an eBay seller/store profile by username or store URL: feedback,
        ratings, and store details. Flat 5 points per successful lookup.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                seller:
                  type: string
                  description: eBay seller username or store URL.
              required:
                - seller
            example:
              seller: cocosmartphones
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  seller:
                    type: string
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      seller:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          feedback_count:
                            type: integer
                          positive_percent:
                            type: number
                          item_sold_count:
                            type: integer
                          follower_count:
                            type: integer
                          location:
                            type: string
                          image:
                            type: string
                          member_since:
                            type: string
                          description:
                            type: string
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: ebay_seller
                seller: musicmagpie
                human: >-
                  # eBay seller


                  - **Seller:** musicmagpie

                  - **Proxy traffic:** 1.58 MB

                  - **Name:** musicMagpie Shop

                  - **Feedback count:** 21561969

                  - **Positive feedback:** 99.1%

                  - **Items sold:** 51200000

                  - **Followers:** 489000

                  - **Location:** United Kingdom

                  - **Member since:** Feb 02, 2011


                  musicMagpie is one of eBay’s most popular and trusted sellers.
                  Save money on great entertainment and tech with our huge
                  selection of CDs, DVDs, BluRays, Games, Books and tech at
                  amazing prices.  We refurbish products, giving them a second
                  life - smart for you, smart for the planet. Buying from us
                  isn’t just good for your wallet; it’s good for the environment
                  too. We also sell new products direct from the manufacturer.
                  These are just like the DVDs you’d buy from a shop, except
                  often much cheaper! For the best deals on CDs, DVDs, games and
                  electronics on the web, look no further.
                machine:
                  seller:
                    id: musicmagpie
                    name: musicMagpie Shop
                    feedback_count: 21561969
                    positive_percent: 99.1
                    item_sold_count: 51200000
                    follower_count: 489000
                    location: United Kingdom
                    image: >-
                      https://i.ebayimg.com/images/g/IKIAAOSwfQ1n0~~7/s-l140.webp
                    member_since: Feb 02, 2011
                    description: >-
                      musicMagpie is one of eBay’s most popular and trusted
                      sellers. Save money on great entertainment and tech with
                      our huge selection of CDs, DVDs, BluRays, Games, Books and
                      tech at amazing prices.  We refurbish products, giving
                      them a second life - smart for you, smart for the planet.
                      Buying from us isn’t just good for your wallet; it’s good
                      for the environment too. We also sell new products direct
                      f
                  proxy_traffic_bytes: 1657495
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````